<?php
    // HEADERS
    header('Access-Control-Allow-Origin: *');
    header('Content-Type: application/json');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');
if ($_SERVER['REQUEST_METHOD'] == 'GET') {
    include_once '../../config/Database.php';
    include_once '../../models/RME.php';

    // INSTANTIATE DB AND CONNECT
    $rmeDatabase = new Database();
    $db = $rmeDatabase->connect();

    // INSTANTIATE POST OBJECT
    $rme = new RME($db);

    // GET ID
    $rme->id = isset($_GET['id']) ? $_GET['id'] : die();

    // GET POST
    $rme->read_single();

    // CREATE ARRAY
    $rme_arr = array(
        'id' => $rme->id,
        'rmeResponsavel' => $rme->rmeResponsavel,
        'rmeDD' => $rme->rmeDD,
        'rmeOS' => $rme->rmeOS,
        'rmeDescricao' => $rme->rmeDescricao,
        'rmeObservacao' => $rme->rmeObservacao,
        'rmeData' => $rme->rmeData,
        'rmeidProduto' => $rme->rmeidProduto,
        'rmeFilter' => $rme->rmeFilter,
        'rmeAutorizar' => $rme->rmeAutorizar,
        'rmeCriadoPor' => $rme->rmeCriadoPor,
        'rmeObservacaoGeral' => $rme->rmeObservacaoGeral,
        'rmeUnidadeCliente' => $rme->rmeUnidadeCliente,
        'rmeNomeCliente' => $rme->rmeNomeCliente,
        'rmeAtendimento' => $rme->rmeAtendimento,
        'rmeTeste' => $rme->rmeTeste,
        'rmeEmprestimo' => $rme->rmeEmprestimo,
        'rmeStatus' => $rme->rmeStatus,
        'rmeQuantidadeProduto' => $rme->rmeQuantidadeProduto
        
    );

    // MAKE JSON
    print_r(json_encode($rme_arr));
}